Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class SelectionAdapter

    java.lang.Object
      org.apache.batik.gvt.event.SelectionAdapter

All Implemented Interfaces:
  EventListener, SelectionListener

Direct Known Subclasses:
  AbstractJGVTComponent.UnixTextSelectionListener

    public class SelectionAdapter

extends Object
implements SelectionListener

Adapter for the listener interface for receiving selection events.

Constructor Summary
`SelectionAdapter()`

Method Summary
`void` | `selectionChanged(SelectionEvent evt)` Invoked when a selection has changed.
`void` | `selectionCleared(SelectionEvent evt)` Invoked when a selection is cleared.
`void` | `selectionDone(SelectionEvent evt)` Invoked when a selection is done.
`void` | `selectionStarted(SelectionEvent evt)` Invoked when a selection started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionAdapter

    public SelectionAdapter()

Method Detail

### selectionChanged

    public void selectionChanged(SelectionEvent evt)

  Invoked when a selection has changed.

  Specified by:
    `selectionChanged` in interface `SelectionListener`
  Parameters:
    `evt` - the selection change event

### selectionDone

    public void selectionDone(SelectionEvent evt)

  Invoked when a selection is done.

  Specified by:
    `selectionDone` in interface `SelectionListener`
  Parameters:
    `evt` - the selection change event

### selectionCleared

    public void selectionCleared(SelectionEvent evt)

  Invoked when a selection is cleared.

  Specified by:
    `selectionCleared` in interface `SelectionListener`
  Parameters:
    `evt` - the selection change event

### selectionStarted

    public void selectionStarted(SelectionEvent evt)

  Invoked when a selection started.

  Specified by:
    `selectionStarted` in interface `SelectionListener`
  Parameters:
    `evt` - the selection change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.